---
name: Sprint Review
about: 'Template to create a Sprint Review'

---

## General Information about sprint reviews
As we will release a working iteration of the new framework after every sprint, everyone is invited to help with testing the sprint results.
The only thing to remember is that you should only report bugs in this issue, which are caused by the contents of this sprint (which are listed below). So it is vital to look at the content description to see what was actually added. Only by reading this you know what we've really intended to implement and defined as done.
I guess you understand that reporting things which weren't even planned to be part of the sprint won't help in any way.
This releases (which are also marked as *Pre-release*) aren't meant to be played as replacement for the current framework. It is for testing purpose or a kind of first look at features/changes which will be part of the 0.97.0 release in some months.
For serious playing use the [latest stable release](https://github.com/KillahPotatoes/KP-Liberation/releases/latest)

### Summary of this sprint
<!-- A summary of what've been done during the sprint. Also which conclusions, plans, new ideas, etc. evolved. -->

### Content of this sprint
<!-- List of all finished tasks which were part of this sprint. -->
| Task | Description | PR |
| --- | --- | --- |

### Released sprint result
<!-- Link to the releases entry of the current sprint release -->
<!-- Example: https://github.com/KillahPotatoes/KP-Liberation/releases/tag/v0.97S6 -->

### Official public Testserver
The latest pre-release missionfile is running on our public Testserver. Feel free to join and have a look at the current development state. We would highly appreciate any feedback and/or bug reports.

**Name:** KP Liberation Dev Testserver

**IP:** 195.201.56.254

**Port:** 2322

**Needed Mods:**
* [CBA A3](https://steamcommunity.com/workshop/filedetails/?id=450814997)
* [KP Ranks](https://steamcommunity.com/sharedfiles/filedetails/?id=741621641)

### Bugs found so far
<!-- List of all bugs which had been found during the sprint which weren't fixed during this sprint. -->
<!-- Maybe because the bug is from a completely different task from the past and therefore not planned to be touched in this sprint -->
<!-- or it came up after a sprint task was considered finish, so it would need to be addressed in the next sprint. -->
| # | Related Task | Description | Reported by |
| --- | --- | --- | --- |
| 00 | Nothing | found | so far |

### Sprint History
<!-- History of all Sprint Review Issues from the past -->
| Sprint | Quick Summary | Details |
| --- | --- | --- |
| 12 | Garrison dialog, Cratefiller additions, Permission additions, building now cost resources | #603 |
| 11 | Resources implementation for logistic, Cratefiller added, Persistence module, Garrison dialog pt1 | #585 |
| 10 | Resupply of vehicles via a logistic station, first iteration for the enemy commander module, Bugfixes | #570 |
| 9 | Permission and resources modules, second part of the garrison module, finished universal preset | #562 |
| 8 | Arsenal, complete settings overhaul and universal unit preset templates | #544 |
| 7 | Persistent sector garrison, build menu implementation part 4, common functions module | #520 |
| 6 | Own Respawn template, object manipulation in build menu, event based save/load | #505 |
| 5 | Freedom replaced with Liberty, extended CBA implementation, refactor mission init, build camera refactor | #494 |
| 4 | Player and Admin menu, building camera overlay | #471 |
| 3 | First UI overhaul, config guard, free build camera | #445 |
| 2 | Event handling and action manager | #427 |
| 1 | Basic CTI functionality: Intro, Spawn, FOB deploy, capture sector, win campaign | #404 |
